Skip to main content
POST
/
api
/
v1
/
bko
/
webhooks
/
{webhookId}
/
retry
Retry Webhook
curl --request POST \
  --url https://api.example.com/api/v1/bko/webhooks/{webhookId}/retry \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "force": false
}'
import requests

url = "https://api.example.com/api/v1/bko/webhooks/{webhookId}/retry"

payload = { "force": False }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({force: false})
};

fetch('https://api.example.com/api/v1/bko/webhooks/{webhookId}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "webhookId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
  "externalProvider": "in_memory",
  "externalEventId": "hook_123",
  "externalEventType": "charge.paid",
  "actionType": "PAYMENT_PAID",
  "payload": {
    "id": "hook_123",
    "type": "charge.paid"
  },
  "status": "PROCESSED",
  "receivedCount": 2,
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastReceivedAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "error": "Payment not found",
  "createdBy": null,
  "updatedBy": null,
  "processedAt": "2026-01-01T00:00:00.000Z"
}
{
"errors": [
{
"message": "required",
"path": "name"
}
],
"message": "Bad Request Error",
"statusCode": 400
}
{
"message": "Missing or invalid access token",
"statusCode": 401
}
{
"message": "Insufficient permissions",
"statusCode": 403
}
{
"message": "Internal Server Error",
"statusCode": 500
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

webhookId
string<uuid>
required

Webhook identifier

Example:

"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a"

Query Parameters

fields
string

Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.

Body

application/json

Retry webhook payload

force
boolean
default:false

Force retry when the webhook is already processed

Example:

false

Response

OK

Webhook

webhookId
string<uuid>
required

Webhook identifier

Example:

"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a"

externalProvider
string
required

External provider name

Example:

"in_memory"

externalEventId
string
required

External provider webhook event identifier

Example:

"hook_123"

externalEventType
string
required

External provider webhook event type

Example:

"charge.paid"

actionType
enum<string>
required

Persisted internal webhook action type

Available options:
UPDATE_PAYMENT,
PAYMENT_PAID,
UPDATE_ORDER,
UPDATE_TRANSFER
Example:

"PAYMENT_PAID"

payload
object
required

Original provider webhook payload

Example:
{ "id": "hook_123", "type": "charge.paid" }
status
enum<string>
required

Webhook processing status

Available options:
RECEIVED,
PROCESSED,
FAILED
Example:

"PROCESSED"

receivedCount
integer
required

Number of provider deliveries for this event

Example:

2

createdAt
string<date-time>
required

Creation timestamp

Example:

"2026-01-01T00:00:00.000Z"

lastReceivedAt
string<date-time>
required

Last provider delivery timestamp

Example:

"2026-01-01T00:00:00.000Z"

updatedAt
string<date-time>
required

Last update timestamp

Example:

"2026-01-01T00:00:00.000Z"

error
string | null

Webhook processing error

Example:

"Payment not found"

createdBy
string<uuid> | null

Created by

Example:

null

updatedBy
string<uuid> | null

Updated by

Example:

null

processedAt
string<date-time> | null

Webhook processed timestamp

Example:

"2026-01-01T00:00:00.000Z"